package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.MessageNoticePerson;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface MessageNoticePersonService {
	MessageNoticePerson get(String id);
	boolean exist(String id);
	int insert(MessageNoticePerson model);
	int update(MessageNoticePerson model);
	int delete(String id);
	MessageNoticePerson findByNIdAndPId(String noticeId, Long personId);
	List<MessageNoticePerson> list();
	Page<MessageNoticePerson> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}